Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## things.data
Enum Data.Priority

    java.lang.Object
      java.lang.Enum<Data.Priority>
          things.data.Data.Priority

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Data.Priority>

Enclosing interface:
  Data

    public static enum Data.Priority

extends java.lang.Enum<Data.Priority>

Priority of the data.

Enum Constant Summary
`DEBUG`
`FLASH`
`FLOOD`
`IMMEDIATE`
`P_ALL`
`P_MAXIMUM`
`P_MINIMUM`
`P1`
`P2`
`P3`
`P4`
`P5`
`PRIORITY`
`ROUTINE`

Method Summary
`static Data.Priority` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Data.Priority[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### P_MAXIMUM

    public static final Data.Priority P_MAXIMUM

### FLASH

    public static final Data.Priority FLASH

### P1

    public static final Data.Priority P1

### IMMEDIATE

    public static final Data.Priority IMMEDIATE

### P2

    public static final Data.Priority P2

### PRIORITY

    public static final Data.Priority PRIORITY

### P3

    public static final Data.Priority P3

### ROUTINE

    public static final Data.Priority ROUTINE

### P4

    public static final Data.Priority P4

### DEBUG

    public static final Data.Priority DEBUG

### P5

    public static final Data.Priority P5

### FLOOD

    public static final Data.Priority FLOOD

### P_ALL

    public static final Data.Priority P_ALL

### P_MINIMUM

    public static final Data.Priority P_MINIMUM

Method Detail

### values

    public static Data.Priority[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Data.Priority c : Data.Priority.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Data.Priority valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Things.